Bug 193113 - Remove $FreeBSD$ from pkg-plist in port create template
Summary: Remove $FreeBSD$ from pkg-plist in port create template
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2014-08-29 06:16 UTC by Kubilay Kocak
Modified: 2014-10-17 14:39 UTC (History)
2 users (show)

See Also:


Attachments
replace comment in pkg-plist template with erroring line. (1.09 KB, patch)
2014-08-29 06:52 UTC, Johannes Jost Meixner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kubilay Kocak freebsd_committer freebsd_triage 2014-08-29 06:16:17 UTC
The port create template currently creates a pkg-plist file with a $FreeBSD$ header, which is no longer in use.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-08-29 06:16:37 UTC
Assign to maintainer
Comment 2 Johannes Jost Meixner freebsd_committer 2014-08-29 06:52:47 UTC
Created attachment 146480 [details]
replace comment in pkg-plist template with erroring line.

Replace @comment $FreeBSD$ with "/you/have/to/check/what/port/create/gives/you"
Comment 3 Johannes Jost Meixner freebsd_committer 2014-08-29 06:53:15 UTC
ports-mgmt/porttools 'port create' script uses devel/newfile to create new ports, and that one contains the deprecated template in /data/projects/port@pkg-plist.

Patch attached replaces "@comment $FreeBSD$" with /you/have/to/check/what/port/create/gives/you, in line with Mk/Scripts/check-stagedir.sh.
Comment 4 John Marino freebsd_committer 2014-08-30 22:06:43 UTC
xmj, if you are the maintainer and you provided the solution via patch, why didn't you just commit it?  Why throw it back on the triage heap?
Comment 5 John Marino freebsd_committer 2014-09-20 19:23:55 UTC
koobs, I don't know what xmj's intention was (and he's not saying).  You opened the PR, it's patch-ready according to him, so go ahead and commit it.  I'm assigning it to you.
Comment 6 Johannes Jost Meixner freebsd_committer 2014-09-21 08:55:50 UTC
marino, because I'm not sure the patch covers koobs' intentions in reporting and I'd hoped to get feedback from him on it.
Comment 7 John Marino freebsd_committer 2014-09-21 09:12:07 UTC
xmj: You attached a new patch and changed the PR to "patch-ready".  Nobody would interpret this to mean a review is expected.  This should be moved back to "in discussion" or something if it's not ready for a final commit review.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-27 23:12:28 UTC
xmj@, patch looks good, please submit as a review (URL linked in a comment once created). Since devel/newfile has no maintainer, you are good to take care of it.
Comment 9 Johannes Jost Meixner freebsd_committer 2014-10-17 14:38:52 UTC
Committed, thanks!
Comment 10 commit-hook freebsd_committer 2014-10-17 14:39:00 UTC
A commit references this bug:

Author: xmj
Date: Fri Oct 17 14:38:27 UTC 2014
New revision: 371061
URL: https://svnweb.freebsd.org/changeset/ports/371061

Log:
  devel/newfile: deprecate @comment in pkg-plist

  - Replace @comment $FreeBSD$ with
    /you/have/to/check/what/port/create/gives/you so that
    testing a port created
  with port create will error out by default

  PR:		193113
  Differential Revision:	https://reviews.freebsd.org/D923
  Submitted by:	koobs
  Approved by:	swills (mentor)

Changes:
  head/devel/newfile/Makefile
  head/devel/newfile/files/patch-data_projects_port_pkg-plist